package com.yonge.toolset.utils.collection;

import java.util.ArrayList;
import java.util.List;

public class ListUtil {

	/**
	 * 两个集合是否相等，与元素顺序无关
	 * @param list1
	 * @param list2
	 * @return
	 */
	public static boolean isEquals(List<?> list1, List<?> list2) {
		if (list1 == list2) {
			return true;
		}
		if (list1 == null && list2 == null) {
			return true;
		}
		if (list1 == null || list2 == null) {
			return false;
		}
		if (list1.size() != list2.size()) {
			return false;
		}
		if (list1.containsAll(list2) && list2.containsAll(list1)) {
			return true;
		}
		return false;
	}
}
